<?
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }
//GeSHi BBCode
include_once(INCLUDES.'bbcodes/geshi/geshi.php');
preg_match_all("#\[geshi=(.*?)\](.*?)\[/geshi\]#si",$text,$matches,PREG_PATTERN_ORDER);
for($i=0; $i<count($matches[0]); $i++) {
	$input = str_replace('<br>','',str_replace('<br  />','', str_replace('<br />', '', stripslashes($matches[2][$i]))));
	//replace problematic characters
	$search = array("&quot;", "&#39;", "&#92;", "&quot;", "&#39;", "&lt;", "&gt;", "&amp;");
	$replace = array("\"", "'", "\\", "\"", "\'", "<", ">", "&");
	$input = str_replace($search,$replace, $input);
	$geshi = new GeSHi($input, $matches[1][$i]);
	$geshi -> set_header_type(GESHI_HEADER_PRE);
	$geshi -> set_overall_style('font-family:\'Courier New\', Courier; font-size:12px;');
	$geshi -> set_link_styles(GESHI_LINK, 'font-weight:bold;');
	$geshi -> set_link_styles(GESHI_HOVER, 'background-color: #f0f000;');
	$geshi -> enable_line_numbers(GESHI_FANCY_LINE_NUMBERS, 10);
	$geshi -> set_footer_content('Parsed in <TIME> seconds,  using GeSHi <VERSION>');
	$geshi -> set_footer_content_style('font-family: Verdana, Arial, sans-serif; color: #808080; font-size: 9px; font-weight: bold; background-color: #f0f0ff; border-top: 1px solid #d0d0d0; padding: 2px;');
	;
	$text=preg_replace("#\[geshi=(.*?)\](.*?)\[/geshi\]#si",'$2',$text);
	$text=str_replace($matches[2][$i], "<table class='tbl-border' cellpadding='0' cellspacing='1'><tr><td class='tbl2'><b>GeSHi: ".$geshi->get_language_name()."</b></td></tr><tr><td><div class='tbl1' style='width:400px;height:auto;white-space:nowrap;overflow:auto;background-color:#ffffff;'>".$geshi->parse_code()."</div></td></tr></table>", $text);
}
?>